import type { JSONArray, JSONObject, JSONPrimitive, JSONValue } from "@hugoalh/is-json";
/**
 * Type of key-value like.
 */
export type KeyValueLike<V = string> = {
    [key: string]: V;
} | Map<string, V> | Record<string, V>;
/**
 * Type of stringizable.
 */
export type StringizableType = bigint | boolean | number | string | JSONArray | JSONObject | JSONPrimitive | JSONValue | null;
export declare function stringifyInput(input: StringizableType): string;
//# sourceMappingURL=_share.d.ts.map